Namespace
library
Image / Tag
swift:6.0.0-amazonlinux2-slim
Content Digest
sha256:16acd12c58154a9c57c83be74c4a2c4c58ebe1977813f75828dd16775749e4b1
Details
Created

2024-09-17 00:51:42 UTC

Size

260 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-6.0-release

SWIFT_PLATFORM

amazonlinux2

SWIFT_SIGNING_KEY

52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

SWIFT_VERSION

swift-6.0-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:69e49d0477d7418fa8148e4dd5ab6e7b541cf2bdf558ddd0198722553d8ecfb8 - 23.0% (59.8 MB)

[#001] sha256:847bb09363aa6e347fe298dfab64ded4db0c09084d81bc2541d06579ba651cfc - 77.0% (200 MB)


History
2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)

COPY /rootfs/ / # buildkit

2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)

CMD ["/bin/bash"]

2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=amazonlinux2

2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-6.0-release

2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-6.0-RELEASE

2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=amazonlinux2 SWIFT_BRANCH=swift-6.0-release SWIFT_VERSION=swift-6.0-RELEASE SWIFT_WEBROOT=https://download.swift.org

2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=amazonlinux2 SWIFT_BRANCH=swift-6.0-release SWIFT_VERSION=swift-6.0-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && yum -y install tar gzip && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && yum autoremove -y tar gzip # buildkit

Details
Created

2024-09-17 00:51:42 UTC

Size

239 MB

Content Digest
Labels
  • description
    Docker Container for the Swift programming language
  • maintainer
    Swift Infrastructure <swift-infrastructure@forums.swift.org>

Environment
PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

SWIFT_BRANCH

swift-6.0-release

SWIFT_PLATFORM

amazonlinux2

SWIFT_SIGNING_KEY

52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

SWIFT_VERSION

swift-6.0-RELEASE

SWIFT_WEBROOT

https://download.swift.org


Layers

[#000] sha256:0f8111d5d1a15a517300f742a82fff488242d02ac685b3d2f019de97e880b603 - 25.82% (61.6 MB)

[#001] sha256:d0b29f65d58c84f02dbec794b17fcb8bb11433e288ad618ed6b9c34b69d4697a - 74.18% (177 MB)


History
2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)

COPY /rootfs/ / # buildkit

2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)

CMD ["/bin/bash"]

2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)

LABEL maintainer=Swift Infrastructure <swift-infrastructure@forums.swift.org>

2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)

LABEL description=Docker Container for the Swift programming language

2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)

ARG SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F

2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)

ARG SWIFT_PLATFORM=amazonlinux2

2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)

ARG SWIFT_BRANCH=swift-6.0-release

2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)

ARG SWIFT_VERSION=swift-6.0-RELEASE

2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)

ARG SWIFT_WEBROOT=https://download.swift.org

2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)

ENV SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=amazonlinux2 SWIFT_BRANCH=swift-6.0-release SWIFT_VERSION=swift-6.0-RELEASE SWIFT_WEBROOT=https://download.swift.org

2024-09-17 00:51:42 UTC (buildkit.dockerfile.v0)

RUN |5 SWIFT_SIGNING_KEY=52BB7E3DE28A71BE22EC05FFEF80A866B47A981F SWIFT_PLATFORM=amazonlinux2 SWIFT_BRANCH=swift-6.0-release SWIFT_VERSION=swift-6.0-RELEASE SWIFT_WEBROOT=https://download.swift.org /bin/sh -c set -e; ARCH_NAME="$(rpm --eval '%{_arch}')"; url=; case "${ARCH_NAME##*-}" in 'x86_64') OS_ARCH_SUFFIX=''; ;; 'aarch64') OS_ARCH_SUFFIX='-aarch64'; ;; *) echo >&2 "error: unsupported architecture: '$ARCH_NAME'"; exit 1 ;; esac; SWIFT_WEBDIR="$SWIFT_WEBROOT/$SWIFT_BRANCH/$(echo $SWIFT_PLATFORM | tr -d .)$OS_ARCH_SUFFIX" && SWIFT_BIN_URL="$SWIFT_WEBDIR/$SWIFT_VERSION/$SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX.tar.gz" && SWIFT_SIG_URL="$SWIFT_BIN_URL.sig" && export GNUPGHOME="$(mktemp -d)" && curl -fsSL "$SWIFT_BIN_URL" -o swift.tar.gz "$SWIFT_SIG_URL" -o swift.tar.gz.sig && gpg --batch --quiet --keyserver keyserver.ubuntu.com --recv-keys "$SWIFT_SIGNING_KEY" && gpg --batch --verify swift.tar.gz.sig swift.tar.gz && yum -y install tar gzip && tar -xzf swift.tar.gz --directory / --strip-components=1 $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/lib/swift/linux $SWIFT_VERSION-$SWIFT_PLATFORM$OS_ARCH_SUFFIX/usr/libexec/swift/linux && chmod -R o+r /usr/lib/swift /usr/libexec/swift && rm -rf "$GNUPGHOME" swift.tar.gz.sig swift.tar.gz && yum autoremove -y tar gzip # buildkit

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete